Tool: list-repo-links
List Git repository links under a connection.
The following code sample shows how to use curl to call the list-repo-links MCP tool.
| Curl Request |
|---|
curl --location 'https://developerconnect.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list-repo-links", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Message for requesting a list of GitRepositoryLinks
ListGitRepositoryLinksRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string, "filter": string, "orderBy": string } |
| Fields | |
|---|---|
parent |
Required. Parent value for ListGitRepositoryLinksRequest. |
pageSize |
Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
pageToken |
Optional. A token identifying a page of results the server should return. |
filter |
Optional. Filtering results. |
orderBy |
Optional. Hint for how to order the results. |
Output Schema
Message for response to listing GitRepositoryLinks
ListGitRepositoryLinksResponse
| JSON representation |
|---|
{
"gitRepositoryLinks": [
{
object ( |
| Fields | |
|---|---|
gitRepositoryLinks[] |
The list of GitRepositoryLinks. |
nextPageToken |
A token identifying a page of results the server should return. |
unreachable[] |
Locations that could not be reached. |
GitRepositoryLink
| JSON representation |
|---|
{ "name": string, "cloneUri": string, "createTime": string, "updateTime": string, "deleteTime": string, "labels": { string: string, ... }, "etag": string, "reconciling": boolean, "annotations": { string: string, ... }, "uid": string, "webhookId": string, "gitProxyUri": string } |
| Fields | |
|---|---|
name |
Identifier. Resource name of the repository, in the format |
cloneUri |
Required. Git Clone URI. |
createTime |
Output only. Create timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. Update timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
deleteTime |
Output only. Delete timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
labels |
Optional. Labels as key value pairs An object containing a list of |
etag |
Optional. This checksum is computed by the server based on the value of other fields, and may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding. |
reconciling |
Output only. Set to true when the connection is being set up or updated in the background. |
annotations |
Optional. Allows clients to store small amounts of arbitrary data. An object containing a list of |
uid |
Output only. A system-assigned unique identifier for the GitRepositoryLink. |
webhookId |
Output only. External ID of the webhook created for the repository. |
gitProxyUri |
Output only. URI to access the linked repository through the Git proxy. This field is only populated if the Git proxy is enabled for the connection. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
AnnotationsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌